【SD报错】关于版本的快速扫盲,必读

AI图像2个月前更新 Deng。
1,835 0 0

> 【注意,本篇文档整体都是基于秋叶面向N卡的整合包,因此如果你是A卡整合包,有些地方描述会与本文档不一致,请知悉。】

v4.4,2.5.8,1.6, XL,这些都是什么?到底哪个版本才是最新的?

这是很多新手最容易搞不清楚的问题,这篇文档就是解决这个问题。

【一】概念

现在我先来解释一下各个版本的概念,后面再依次说一下是否需要更新和如何更新。

(1)整合包版本 aki-v4.x

首先,v4.4,这个特指的是秋叶整合包的版本,是整合包,也就是整个8G压缩文件的版本。

也许有些人使用的是早期版本,比如v4,v4.1等等,指的都是这个整体的整合包版本,也就是解压缩之后,根目录的名称,一般是  sd-webui-aki-v4.4 这样。

(2)SD-WebUI版本/主体版本/内核版本 1.6.x

在启动器的版本管理中,你可以看到“内核”标签和“扩展”标签,内核标签下又分为稳定版和开发版,在稳定版中可以看到,截止本文成稿时,最新的是2023年第44周-1.6.1,这里的稳定版版本和后面的 1.6.1 指的就是SD-WebUI的版本,也就是频道里经常说到的主体版本/内核版本,因为秋叶整合包本质上是把SD-WebUI作为核心做了打包,所以SD-WebUI就是这个整合包版本的内核,而不是指更进一步的,SD-WebUI所支持的模型版本或者算法版本2.0、XL,这一点要理区分清楚。

特别需要注意的是,SD-WebUI版本 不等于stable diffusion版本,webUI指的是这套网页系统的版本,并不是stable diffusion算法,这一点对于下面认识模型概念的时候容易混淆,一定要区分清楚,虽然我们频道里日常聊天很多人经常用SD指代SD-WEBUI,但这其实是不准确的。

(3)启动器版本 绘世 2.5.x

在启动器运行之后,你会看到启动器标题上面写着 绘世 2.5.x,这个标题就表示的是启动器的版本。需要说明的是,这里显示的版本仅仅指“启动器.exe”这单个文件的版本,不代表整合包的版本,因为启动器是自动升级的,很多人会觉得我启动器标题显示的已经是最新的版本了,凭什么说我整合包版本落后?

其实这里就是理解上的误区,你只有“A启动器.exe”这一个文件或者相关的几个文件是最新的,但是其余环境依旧是跟着整合包走的,启动器更新了但环境没有更新,反而可能会因为版本不符而报错,因此当启动器已经跨越多个版本之后,及时跟进更新整合包版本是非常必要的。

(4)stable diffusion模型/算法版本 1.0 1.5 2.0 xl

在模型下载网站上,关于模型的信息之中,你通常可以看到,“基础算法 v1.5”  或英文的 “Base Model:SD 1.5”,这里的 base model 或者说基础算法,指的就是基于哪个版本的stable diffusion 算法而训练出来的。这个版本的定义是怎么来的呢?

首先,我们使用的SD-webUI,是封装了stable diffusion算法而制作的,这个发布stable diffusion算法的是一个独立的公司Stability.ai,他们每隔一段时间会推出一个新的版本,最初推出的是stable diffusion 1.0,然后推出了1.4,1.5,后面又推出了2.0,然后现在最近推出了新的版本XL。而基于这些版本训练出来的模型,就会在信息中给出标记,告诉你它是基于stable diffusion的哪一个版本而训练的。

之所以会给人理解造成干扰,是因为大家现在接触都是先从SD-WebUI接触,而SD-WebUI有一个版本号也是1.5,正好和stable diffusion 的版本重复了,这就导致理解混乱,很多萌新会担心,怎么明明现在都有2.0,XL了,而我的版本还是1.6?是不是没更新?其实是因为这两者指的根本是不同的东西。

(5)我需要升级吗?

一般来说,只要你的功能可以正常运行,能够正常跑出你想要跑的图,那么我们不推荐你升级。

因为一个环境的稳定,是由核心版本、大模型、lora、插件等等共同组成的,贸然改变其中一个的版本,很可能导致与其余构成不能兼容,进而出现各种问题。

但是,如果你下载了一个新模型不能正常使用,而你又非常想要使用,那么你就需要将所有能升级的东西先升级到最新,看看是否能够解决了。

另外就是,当你的版本跨度很大的时候,比如说当前整合包的版本已经是v4.4,而你还在使用aki-v3.2,那最好还是及时升级,因为你整合包里面的启动器是自动升级的,如果环境没有升级,可能会导致启动器的新功能无法调用到相应的环境,尽管启动器比较智能,不会胡乱报错,但实际上你的功能是与别人最新的不一致的,可能会导致使用和理解上的问题。

【二】搭配

(1)为什么会有这些区别?

首先明确一点,我们所使用的SD-WebUI,只要是最新的版本(也就是内核版本1.6.1),肯定是支持基于stable diffusion基础算法的任何一种模型的,无论是1.5,2.0还是XL,你大可不必担心,尽管看模型示例图,去选择和下载自己喜欢的模型就好。

但是,为什么有时候控制台报错,或者画图出现结果很混乱呢?

这是因为,不同的算法之间是不能搭配的。

我们要使用webUI生成一张图像,其实有很多个可选步骤。

A 选择stable diffusion模型;

B 选择外挂VAE;

C 填写提示词,并在提示词内加入LoRA的引用;

D 在负面提示词内加入嵌入式(Embedding)的引用;

E 启用插件比如controlnet,还需要选择controlnet的模型和对应的预处理器。

如果你要保证程序能够顺畅运行,必须确保这里的每个步骤选择的都是基于同一个算法下的相关模型;这也就是我们在频道里一直强调XL特殊的原因,如果你使用XL的stable diffusion模型,那么你也必须使用相关的XL的专用VAE、XL的LORA和XL的embedding,以及XL专用的controlnet模型,其中有任何一个不符,就会导致控制台报错,无法生成结果或生成不符合预期的结果。反过来也是一样的,如果你选择了不是XL的基础模型,那么你也不能在后续的VAE、LORA、嵌入式、插件中选择任何一个带有XL的专用模型,否则一样是会报错的。

顺便说一下,我只强调了XL和非XL,而没有强调1.5和2.0的区分,那是因为日常能够遇到的非XL模型,基本都是1.5左右的,如果你真的眼光独到下载到了2.0的模型,那也很有可能跟1.5或者1.0的模型不能兼容,这一点日常遇到的时候切换一下大模型就可以解决,所以一般只会以为这个大模型是坏的,但本质上就是这个原因。

好,区分清楚了这些版本,你就知道应该怎么使用了。

(2)怎么确定我用的模型究竟是不是XL的呢?

看名字。只要你下载和选择的模型/插件模型/LORA/VAE等等,名字中带有XL两个字,无论大写还是小写,只要有这两个字母,那它就是xl专用的。

当然,如果你自己下载完之后改了名字,那就是你自己作死了,神仙也救不了,以后记得修改模型名字时,如果本来有xl,你要保留xl,否则你无法区分版本。

再强调一遍,这里说的模型,不仅仅是指网页左上角那个stable diffusion模型 下来列表里的模型,而是包括外挂VAE、LORA、embedding、controlnet模型、其他插件模型等等,所有一切需要选择的地方,你必须确保你选择的都是一致的,要有xl就都要xl,没有就都没有,不能混搭。

本文转载于叶小猴https://docs.qq.com/doc/DU3ZudG1UZ1hiU01K

相关标签

© 版权声明

相关文章

网址设置

网址样式切换

详细

网址卡片按钮

显示

布局设置

左侧边栏菜单

展开

搜索框设置

自定义搜索框背景

  • 夕阳山谷

  • 小镇日落

自定义搜索框高度

  • 聚焦
  • 信息
  • 默认
自定义设置